VirtualBox Main API

Public Attributes | List of all members
IHostDrivePartition Interface Reference

The IHostDrivePartition interface represents the partition of the host drive. More...

Inheritance diagram for IHostDrivePartition:

## Public Attributes
readonly attribute unsigned long | number
| The number of the partition.
readonly attribute long long | size
| The partition size in bytes.
readonly attribute long long | start
| The start byte offset of this partition in bytes relative to the beginning of the hard disk.
readonly attribute PartitionType | type
| A translation of IHostDrivePartition::typeMBR and IHostDrivePartition::typeUuid when possible, otherwise set to PartitionType_Unknown.
readonly attribute boolean | active
| The partition is bootable when TRUE.
readonly attribute unsigned long | typeMBR
| The raw MBR partition type, 0 for non-MBR disks.
readonly attribute unsigned long | startCylinder
| The cylinder (0..1023) of the first sector in the partition on an MBR disk, zero for not an MBR disk.
readonly attribute unsigned long | startHead
| The head (0..255) of the first sector in the partition on an MBR disk, zero for not an MBR disk.
readonly attribute unsigned long | startSector
| The sector (0..63) of the first sector in the partition on an MBR disk, zero for not an MBR disk.
readonly attribute unsigned long | endCylinder
| The cylinder (0..1023) of the last sector (inclusive) in the partition on an MBR disk, zero for not an MBR disk.
readonly attribute unsigned long | endHead
| The head (0..255) of the last sector (inclusive) in the partition on an MBR disk, zero for not an MBR disk.
readonly attribute unsigned long | endSector
| The sector (1..63) of the last sector (inclusive) in the partition on an MBR disk, zero for not an MBR disk.
readonly attribute wstringUUID | typeUuid
| The partition type when GUID partitioning scheme is used, NULL UUID value for not a GPT disks.
readonly attribute wstringUUID | uuid
| The GUID of the partition when GUID partitioning scheme is used, NULL UUID value for not a GPT disks.
readonly attribute wstring | name
| The name of the partition if GPT partitioning is used, empty if not a GPT disk.

## Detailed Description

The IHostDrivePartition interface represents the partition of the host drive.

To enumerate all available drives partitions in the host, use the IHost::hostDrives attribute.

Interface ID:
  `{4F529A14-ACE3-407C-9C49-066E8E8027F0}`

## Member Data Documentation

## ◆ number

readonly attribute unsigned long IHostDrivePartition::number

The number of the partition.

Represents the system number of the partition, e.g. /dev/sdX in the linux, where X is the number returned.

## ◆ size

readonly attribute long long IHostDrivePartition::size

The partition size in bytes.

## ◆ start

readonly attribute long long IHostDrivePartition::start

The start byte offset of this partition in bytes relative to the beginning of the hard disk.

## ◆ type

readonly attribute PartitionType IHostDrivePartition::type

A translation of IHostDrivePartition::typeMBR and IHostDrivePartition::typeUuid when possible, otherwise set to PartitionType_Unknown.

## ◆ active

readonly attribute boolean IHostDrivePartition::active

The partition is bootable when TRUE.

## ◆ typeMBR

readonly attribute unsigned long IHostDrivePartition::typeMBR

The raw MBR partition type, 0 for non-MBR disks.

## ◆ startCylinder

readonly attribute unsigned long IHostDrivePartition::startCylinder

The cylinder (0..1023) of the first sector in the partition on an MBR disk, zero for not an MBR disk.

## ◆ startHead

readonly attribute unsigned long IHostDrivePartition::startHead

The head (0..255) of the first sector in the partition on an MBR disk, zero for not an MBR disk.

## ◆ startSector

readonly attribute unsigned long IHostDrivePartition::startSector

The sector (0..63) of the first sector in the partition on an MBR disk, zero for not an MBR disk.

## ◆ endCylinder

readonly attribute unsigned long IHostDrivePartition::endCylinder

The cylinder (0..1023) of the last sector (inclusive) in the partition on an MBR disk, zero for not an MBR disk.

## ◆ endHead

readonly attribute unsigned long IHostDrivePartition::endHead

The head (0..255) of the last sector (inclusive) in the partition on an MBR disk, zero for not an MBR disk.

## ◆ endSector

readonly attribute unsigned long IHostDrivePartition::endSector

The sector (1..63) of the last sector (inclusive) in the partition on an MBR disk, zero for not an MBR disk.

## ◆ typeUuid

readonly attribute wstringUUID IHostDrivePartition::typeUuid

The partition type when GUID partitioning scheme is used, NULL UUID value for not a GPT disks.

## ◆ uuid

readonly attribute wstringUUID IHostDrivePartition::uuid

The GUID of the partition when GUID partitioning scheme is used, NULL UUID value for not a GPT disks.

## ◆ name

readonly attribute wstring IHostDrivePartition::name

The name of the partition if GPT partitioning is used, empty if not a GPT disk.